Bug 1669241 - Manifest can be refreshed only by the user who imported. Other user can't refresh that. [NEEDINFO]
Summary: Manifest can be refreshed only by the user who imported. Other user can't ref...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: John Mitsch
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-24 17:36 UTC by Avijit Roy
Modified: 2019-10-07 17:18 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.26-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1684704 1687525 1687526 1687527 1687528 1687530 1687531 1687533 1687534 1687536 1687537 1687538 1687539 1687540 1687544 1687545 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:39:54 UTC
jomitsch: needinfo? (wpinheir)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:02 UTC
Foreman Issue Tracker 25957 None None None 2019-01-31 20:02:45 UTC

Description Avijit Roy 2019-01-24 17:36:54 UTC
Description of problem:
Manifest can only be seen or managed by the user who imported that. Other than that user no other user even the admin user can not see or manage the manifest. 

Version-Release number of selected component (if applicable):
satellite 6.4

How reproducible:
100%

Steps to Reproduce:
1. Create a user and give admin access to that user.
2. Import manifest with that user. 
3. Now logout and login with admin or another user who as admin access. And go to below path manifest can not be seen. 

Content >> Subscriptions >> Manage Manifest >> USMA ---> This will show "No Manifest Uploaded" 

Actual results:
Other user can not see the manifest but the user who uploaded.  

Expected results:
Other user should see and manage the manifest if they have admin access. 

Additional info:

Comment 10 John Mitsch 2019-01-31 20:02:45 UTC
Created redmine issue https://projects.theforeman.org/issues/25957 from this bug

Comment 11 Bryan Kearney 2019-01-31 21:04:51 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 12 Bryan Kearney 2019-01-31 21:04:52 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 13 Bryan Kearney 2019-02-18 17:03:28 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25957 has been resolved.

Comment 14 Mike McCune 2019-03-01 22:16:34 UTC
This bug was cloned and is still going to be included in the 6.4.3 release. It no longer has the sat-6.4.z+ flag and 6.4.3 Target Milestone Set which are now on the 6.4.z cloned bug. Please see the Clones field to track the progress of this bug in the 6.4.3 release.

Comment 16 jcallaha 2019-03-12 20:30:35 UTC
Verified in Satellite 6.5.0 Snap 19

I followed both the initial reproducer steps and the ones outlined in #9.

both paths worked without issue.

Comment 17 Mike McCune 2019-04-02 14:55:06 UTC
For 6.4.3:

This bugfix is not able to be backported to 6.4.z and will be resolved in 6.5 which is nearing completion. We closed out the 6.4.3 bug and will continue to track this bug through completion in 6.5 GA.

If anyone feels we need to extend extra effort to rework a backport of this, feel free to re-open the 6.4.3 clone  https://bugzilla.redhat.com/1684704 with a justification and we will re-consider.

Comment 19 errata-xmlrpc 2019-05-14 12:39:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.